/*   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Samuel Riedel
 *   Co-authors:
 *      ...
 *
 */

/**
    @file Asteroids2D.cc
    @brief Implementation of the Asteroids2D class.
*/

#include "Asteroids2DCube.h"
#include "Asteroids2D.h"
#include "core/CoreIncludes.h"
#include "util/Math.h"

namespace orxonox
{
    RegisterClass(Asteroids2DCube);

    Asteroids2DCube::Asteroids2DCube(Context* context) : Pawn(context)
    {
        RegisterObject(Asteroids2DCube);
        this->size = 1;
        this->width = 1043;
        this->height = 646;
        //this->setPosition();
        //this->setVelocity(Vector3 )
    }

    void Asteroids2DCube::tick(float dt)
    {
    	SUPER(Asteroids2DCube, tick, dt);
    	

    }


}
